ASY(1)

NAME
asy - Asymptote: a script-based vector graphics language

SYNOPSIS
asy [options][file...]

DESCRIPTION
Asymptote is a powerful script-based vector graphics language for technical drawings, inspired by MetaPost but with an improved C++-like syntax. Asymptote provides for figures the same high-quality level of typesetting that LaTeX does for scientific text.

OPTIONS
If no arguments are given, Asymptote runs in interactive mode.

If "-" is given as the file argument, Asymptote reads from standard input.

A summary of options is included below. The effect of most options can be negated by prepending no to the option name. Default values for most options may also be entered in the file .asy/config.asy in the user's home directory using the long form:

import settings;

batchView=true;

For a complete description, see the Info files.

-V, -View
    View output file.

-a, -align C|B|T|Z
    Center, Bottom, Top or Zero page alignment; Z => -notex.

-autoplain
    Enable automatic importing of plain (default).

-batchMask
    Mask fpu exceptions in batch mode.

-batchView
    View output files in batch mode.

-bw Convert all colors to black and white.

-c, -clearGUI
    Clear GUI operations.

-cmyk
    Convert rgb colors to cmyk.

-d, -debug
    Enable debugging messages.

-x, -deconstruct X
    Deconstruct into transparent GIF objects magnified by X.

-gray
    Convert all colors to grayscale.

-h, -help
    Show summary of options.

-i, -ignoreGUI
    Ignore GUI operations.

-interactiveMask
    Mask fpu exceptions in interactive mode.

-interactiveView
    View output files in interactive mode.

-k, -keep
    Keep intermediate files.

-l, -listvariables
    List available global functions and variables.

-localhistory
    Use a local interactive history file.

-m, -mask
    Mask fpu exceptions.

-O,-offset pair
    PostScript offset.

-f, -outformat format
    Convert each output file to specified format.

-o, -outname name
    (First) output file name.

-p, -parseonly
    Parse test.

-rgb
    Convert cmyk colors to rgb.

-safe
    Disable system call (default).

-tex
    Enable LaTeX label postprocessing (default).

-s, -translate
    Translate test.

-unsafe
    Enable system call.

-v, -verbose
    Increase verbosity level.

SEE ALSO
Asymptote is documented fully in the asymptote Info page. The manual can also be accessed in interactive mode with the "help" command.

AUTHOR
Asymptote was written by Andy Hammerlindl, John Bowman, and Tom Prince.

This manual page was written by Hubert Chan for the Debian project (but may be used by others).